// popup.js
/*
document.getElementById("generateTabs").addEventListener("click", async function () {
  const tabCount = 2;

  for (let i = 1; i <= tabCount; i++) {
    const settingId = i;
    const tabId = `RiseTab${i}`;
    const url = `http://192.168.2.150:3007`;
    createNewTab(1000 + i, url, i);
  }

  function createNewTab(tabId, url, settingId) {
    chrome.tabs.create({ url: url }, function (newTab) {
      // 生成したタブに拡張機能が管理する ID を保存
      chrome.tabs.storage.set({ tabId: { settingId: settingId } }, function () {
        // 生成されたタブ内でのスクリプト実行
        chrome.scripting.executeScript({
          target: { tabId: newTab.id },
          function: () => {
            // 生成されたタブ内でのスクリプト
            chrome.runtime.sendMessage({ type: "getSettingId" });
          },
        });
      });
    });
  }
});
*/

chrome.runtime.onMessage.addListener(function (request, sender, sendResponse) {
  console.log("popup recv:", result);
  if (request.type === "getSettingId") {
    // settingId を返信
    chrome.tabs.query({ active: true, currentWindow: true }, function (tabs) {
      if (tabs.length === 0) {
        console.error("No tabs found");
        sendResponse({ settingId: 5 });
        return;
      }

      const currentTab = tabs[0];
      const tabId = currentTab.id;

      chrome.storage.local.get({ tabId }, function (result) {
        console.log("result:", result);
        if (result.tabId) {
          const settingId = result.tabId?.settingId;
          if (settingId !== undefined) {
            chrome.tabs.sendMessage(tabId, { type: "settingId", settingId: settingId }, function (response) {
              sendResponse(response);
            });
          } else {
            console.error("No settingId found for tabId:", tabId);
            sendResponse({ settingId: 5 });
          }
        } else {
          console.error("No tabId found for current tab");
          sendResponse({ settingId: 5 });
        }
      });
    });
  }
});


document.addEventListener('DOMContentLoaded', function () {
  // manifest.jsonのバージョン情報を取得
  const manifest = chrome.runtime.getManifest();
  const version = manifest.version;
  // バージョン情報を要素に挿入
  document.getElementById('version').textContent = version;
});

const BASE_URL = "http://rh8.3594.mydns.jp";

document.getElementById('feedbackForm').addEventListener('submit', async function (event) {
  event.preventDefault();

  try {
    const profile = await new Promise((resolve) => {
      chrome.storage.local.get('Profile', function (result) {
        const storedProfile = result['Profile'];
        console.log('Data retrieved from local storage:', storedProfile);
        resolve(storedProfile);
      });
    });

    const gid = profile[0].gid;
    const uid = profile[0].uid;
    const uname = profile[0].uname;

    const url = `${BASE_URL}/rise/feedback/${gid}/${uid}/${uname}`;
    const comment = document.getElementById('comment').value;
    const rate = document.querySelector('input[name="rate"]:checked').value;

    const formData = new FormData();
    formData.append('comment', comment);
    formData.append('rate', rate);

    console.log("url:", url);

    const response = await fetch(url, {
      method: 'POST',
      body: formData,
    });

    const htmlData = await response.text();
    console.log('HTML Data:', htmlData);

    // サーバーからのHTMLを表示するための要素を取得
    const feedbackElement = document.getElementById('feedback');

    // feedbackElementにHTMLデータを設定
    feedbackElement.innerHTML = `<span style="color: red; font-weight: bold;">${htmlData}</span>`;

  } catch (error) {
    console.error('Error:', error);
  }
});


// リンクボタンがクリックされたときの処理
document.getElementById('extensionLink').addEventListener('click', function () {
  const extensionWebsiteUrl = 'https://3594battle-mobage.mydns.jp/wiki/wiki.cgi?page=chrome%B3%C8%C4%A5%B5%A1%C7%BD%B3%B5%CD%D7';
  // 新しいタブで拡張機能のWebサイトを開く
  chrome.tabs.create({ url: extensionWebsiteUrl });
});

// 既存のコード ...



